require( "scripts/style.lua" );


MakeDialog
{
	name = "levelselect",
	Bitmap
	{
		name = "backgroundimage",
		image = "level/map",
		x = 0,
		y = 0,
		scale = 1.00,
		
		LevelSelect
		{
			name = "levelselect",
			x = 0,
			y = 0,
			w = 800,
			h = 600,
			music="audio/music/music1.ogg",				
			
			
			SetStyle(MenuButtonStyle),
			Button
			{
				graphics = {	"level/bucks_row_up",
								"level/bucks_row_over" };
				name = "level/bucks_row.lua",
				x = 503,
				y = 95,
				command =
					function()
						NextLevel("find/bucks_row/bucks_row.lua");
					end
			},
			
			Button
			{
				graphics = {	"level/hanbury_st_up",
								"level/hanbury_st_over" };
				name = "level/hanbury_st.lua",
				x = 297,
				y = 20,
				command =
					function()
						NextLevel("find/hanbury_st/hanbury_st.lua");
					end
			},

			Button
			{
				graphics = {	"level/dutfields_up",
								"level/dutfields_over" };
				name = "level/dutfields.lua",
				x = 474,
				y = 334,
				command =
					function()
						NextLevel("find/dutfields/dutfields.lua");
					end
			},

			Button
			{
				graphics = {	"level/mitresq_up",
								"level/mitresq_over" };
				name = "level/mitresq.lua",
				x = 150,
				y = 334,
				command =
					function()
						NextLevel("find/mitresq/mitresq.lua");
					end
			},

			Button
			{
				graphics = {	"level/millers_court_up",
								"level/millers_court_over" };
				name = "level/millers_court.lua",
				x = 43,
				y = 88,
				command =
					function()
						NextLevel("find/millers_court/millers_court.lua");
					end
			},

		SetStyle(ButtonStyle),
		Button
		{
			x=666,
			y=541,
			name="pause",
			label="pause",
			cancel=true,
			command=
			function()
				DoModal("scripts/pause.lua");
			end
		},

		}
		
	}
}
